<<< Previous |  | Next >>>

# FcPatternGetWithBinding

## Name

FcPatternGetWithBinding -- Return a value with binding from a pattern

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcResult `FcPatternGetWithBinding``(FcPattern *`p`, const char *`object`, int `id`, FcValue *`v`, FcValueBinding *`b`);`

## Description

Returns in `v` the `id`'th value and `b` binding for that associated with the property `object`. The Value returned is not a copy, but rather refers to the data stored within the pattern directly. Applications must not free this value.

## Since

version 2.12.5

<<< Previous | Home | Next >>>
FcPatternAdd-Type | Up | FcPatternGet